Last Comment Bug 738554 - Some robocop tests have race conditions that could result in timeouts
: Some robocop tests have race conditions that could result in timeouts
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: -- normal (vote)
: Firefox 14
Assigned To: (Back on May31) Kartikaya Gupta (email:kats@mozilla.com)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 23:22 PDT by (Back on May31) Kartikaya Gupta (email:kats@mozilla.com)
Modified: 2012-04-04 10:29 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Fix races (2.96 KB, patch)
2012-03-22 23:22 PDT, (Back on May31) Kartikaya Gupta (email:kats@mozilla.com)
mark.finkle: review+
Details | Diff | Review

Description (Back on May31) Kartikaya Gupta (email:kats@mozilla.com) 2012-03-22 23:22:15 PDT
Created attachment 608613 [details] [diff] [review]
Fix races

A couple of the tests start listening for events after they might already have happened, which would result in the test hanging and manifest as timeouts.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2012-03-22 23:23:34 PDT
Comment on attachment 608613 [details] [diff] [review]
Fix races

Thanks
Comment 2 (Back on May31) Kartikaya Gupta (email:kats@mozilla.com) 2012-03-22 23:27:21 PDT
Will land if the try run is good. I totally didn't test this patch :)

https://tbpl.mozilla.org/?tree=Try&rev=9107e0e35a4e
Comment 3 (Back on May31) Kartikaya Gupta (email:kats@mozilla.com) 2012-03-23 08:44:44 PDT
Try run was "good" in that it didn't start failing more than it already was. Not that that's saying much. Landed on inbound.

https://hg.mozilla.org/integration/mozilla-inbound/rev/13cf485e1d1c
Comment 4 Ed Morley [:emorley] 2012-03-24 14:08:20 PDT
https://hg.mozilla.org/mozilla-central/rev/13cf485e1d1c
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:28:34 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/882fc7645a59
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:29:36 PDT
(In reply to Mark Finkle (:mfinkle) from comment #5)
> https://hg.mozilla.org/releases/mozilla-aurora/rev/882fc7645a59

Wrong!

https://hg.mozilla.org/releases/mozilla-aurora/rev/932cf6043b9b

Note You need to log in before you can comment on or make changes to this bug.